<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <GenerateDocumentationFile>true</GenerateDocumentationFile>
        <NoWarn>$(NoWarn);1591</NoWarn>
        <SpaRoot>..\Tiku.PlatformAdmin.Web\</SpaRoot>
        <SpaProxyServerUrl>http://localhost:5173</SpaProxyServerUrl>
        <SpaProxyLaunchCommand>npm run dev</SpaProxyLaunchCommand>
    </PropertyGroup>

    <ItemGroup>
        <ProjectReference Include="..\Tiku.Application\Tiku.Application.csproj"/>
        <ProjectReference Include="..\Tiku.Infrastructure\Tiku.Infrastructure.csproj"/>
    </ItemGroup>

    <ItemGroup>
        <InternalsVisibleTo Include="Tiku.IntegrationTests"/>
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer"/>
        <PackageReference Include="Microsoft.AspNetCore.OpenApi"/>
        <PackageReference Include="Microsoft.AspNetCore.SpaProxy"/>
        <PackageReference Include="Microsoft.AspNetCore.OutputCaching.StackExchangeRedis"/>
        <PackageReference Include="Microsoft.OpenApi"/>
        <PackageReference Include="OpenTelemetry.Exporter.OpenTelemetryProtocol"/>
        <PackageReference Include="OpenTelemetry.Extensions.Hosting"/>
        <PackageReference Include="OpenTelemetry.Instrumentation.AspNetCore"/>
        <PackageReference Include="OpenTelemetry.Instrumentation.Http"/>
        <PackageReference Include="Scalar.AspNetCore"/>
        <PackageReference Include="Serilog.AspNetCore"/>
        <PackageReference Include="Serilog.Enrichers.Environment"/>
        <PackageReference Include="Serilog.Enrichers.Thread"/>
        <PackageReference Include="Serilog.Settings.Configuration"/>
        <PackageReference Include="Serilog.Sinks.Console"/>
        <PackageReference Include="System.IdentityModel.Tokens.Jwt"/>
        <PackageReference Include="ZiggyCreatures.FusionCache.OpenTelemetry"/>
        <PackageReference Include="ZLinq"/>
    </ItemGroup>

</Project>
